Package docking.widgets.table.threaded

# Class ThreadedTableColumnComparator<T>

java.lang.Object
docking.widgets.table.sort.RowBasedColumnComparator<T>
docking.widgets.table.threaded.ThreadedTableColumnComparator<T>

Type Parameters:
  `T` - the row type

All Implemented Interfaces:
  `Comparator<T>`

public class ThreadedTableColumnComparator<T> extends RowBasedColumnComparator<T>
A comparator for comparing table column values for threaded table models. This comparator uses the column cache of the `ThreadedTableModel`.

- ## Field Summary

  ### Fields inherited from class docking.widgets.table.sort.RowBasedColumnComparator

  `backupRowComparator, columnComparator, model, sortColumn`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ThreadedTableColumnComparator(ThreadedTableModel<T,?> model, int sortColumn, Comparator<Object> comparator)`
  Constructs this class with the given column comparator that will get called after the given row is converted to the column value for the given sort column
  `ThreadedTableColumnComparator(ThreadedTableModel<T,?> model, int sortColumn, Comparator<Object> comparator, Comparator<Object> backupRowComparator)`
  This version of the constructor is used for the default case where the client will supply a backup row comparator that will get called if the given column comparator returns a '0' value.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Object`
  `getColumnValue(T t)`

  ### Methods inherited from class docking.widgets.table.sort.RowBasedColumnComparator

  `compare`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.Comparator

  `equals, reversed, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

- ## Constructor Details

  - ### ThreadedTableColumnComparator

    public ThreadedTableColumnComparator(ThreadedTableModel<T,?> model, int sortColumn, Comparator<Object> comparator)
    Constructs this class with the given column comparator that will get called after the given row is converted to the column value for the given sort column
    Parameters:
      `model` - the table model using this comparator
      `sortColumn` - the column being sorted
      `comparator` - the column comparator to use for sorting
    See Also:
      - `RowBasedColumnComparator`

  - ### ThreadedTableColumnComparator

    public ThreadedTableColumnComparator(ThreadedTableModel<T,?> model, int sortColumn, Comparator<Object> comparator, Comparator<Object> backupRowComparator)
    This version of the constructor is used for the default case where the client will supply a backup row comparator that will get called if the given column comparator returns a '0' value.
    Parameters:
      `model` - the table model using this comparator
      `sortColumn` - the column being sorted
      `comparator` - the column comparator to use for sorting
      `backupRowComparator` - the backup row comparator
    See Also:
      - `RowBasedColumnComparator`

- ## Method Details

  - ### getColumnValue

    protected Object getColumnValue(T t)
    Overrides:
      `getColumnValue` in class `RowBasedColumnComparator<T>`